//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * A container for past identifiers and locations for this specimen.
 * 
 * <p>Java class for PreviousUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PreviousUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="PreviousSourceInstitutionID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *         &lt;element name="PreviousSourceID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *         &lt;element name="PreviousUnitID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *         &lt;element name="Date" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}DateTime" minOccurs="0"/&gt;
 *         &lt;element name="Notes" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PreviousUnit", propOrder = {
    "previousSourceInstitutionID",
    "previousSourceID",
    "previousUnitID",
    "date",
    "notes"
})
public class PreviousUnit {

    @XmlElement(name = "PreviousSourceInstitutionID")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String previousSourceInstitutionID;
    @XmlElement(name = "PreviousSourceID")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String previousSourceID;
    @XmlElement(name = "PreviousUnitID")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String previousUnitID;
    @XmlElement(name = "Date")
    protected DateTime date;
    @XmlElement(name = "Notes")
    protected StringL notes;
    @XmlAttribute(name = "sequence")
    protected Integer sequence;

    /**
     * Gets the value of the previousSourceInstitutionID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreviousSourceInstitutionID() {
        return previousSourceInstitutionID;
    }

    /**
     * Sets the value of the previousSourceInstitutionID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreviousSourceInstitutionID(String value) {
        this.previousSourceInstitutionID = value;
    }

    /**
     * Gets the value of the previousSourceID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreviousSourceID() {
        return previousSourceID;
    }

    /**
     * Sets the value of the previousSourceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreviousSourceID(String value) {
        this.previousSourceID = value;
    }

    /**
     * Gets the value of the previousUnitID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreviousUnitID() {
        return previousUnitID;
    }

    /**
     * Sets the value of the previousUnitID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreviousUnitID(String value) {
        this.previousUnitID = value;
    }

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link DateTime }
     *     
     */
    public DateTime getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateTime }
     *     
     */
    public void setDate(DateTime value) {
        this.date = value;
    }

    /**
     * Gets the value of the notes property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNotes() {
        return notes;
    }

    /**
     * Sets the value of the notes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNotes(StringL value) {
        this.notes = value;
    }

    /**
     * Gets the value of the sequence property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSequence() {
        return sequence;
    }

    /**
     * Sets the value of the sequence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSequence(Integer value) {
        this.sequence = value;
    }

}
